Package Asm

## Class Mem

- java.lang.Object
- - Asm.Instruction
  - - Asm.Mem

-     public class Mem
      extends Instruction

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Mem.Op` |

  - ### Field Summary

    - ### Fields inherited from class Asm.Instruction

      `label, name`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Mem​(Mem.Op op, int dest, int address)` | Constructeur sans label
    `Mem​(java.lang.String label, Mem.Op op, int dest, int address)` | Constructeur

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getAddress()` | Getter du registre d'adresse
    `int` | `getDest()` | Getter du registre à stocker ou de destination
    `void` | `setAddress​(int address)` | Setter du registre d'adresse
    `void` | `setDest​(int dest)` | Setter du registre à stocker ou de destination
    `java.lang.String` | `toString()` | Conversion en String

    - ### Methods inherited from class Asm.Instruction

      `getLabel, getName, setLabel, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Mem

          public Mem​(java.lang.String label,
                     Mem.Op op,
                     int dest,
                     int address)

      Constructeur
      Parameters:
        `label` - label de l'instruction
        `op` - type d'opération
        `dest` - numéro du registre à stocker ou de destination
        `address` - numéro du registre d'adresse

    - #### Mem

          public Mem​(Mem.Op op,
                     int dest,
                     int address)

      Constructeur sans label
      Parameters:
        `op` - type d'opération
        `dest` - numéro du registre à stocker ou de destination
        `address` - numéro du registre d'adresse

  - ### Method Detail

    - #### getDest

          public int getDest()

      Getter du registre à stocker ou de destination
      Returns:
        numéro du registre à stocker ou de destination

    - #### setDest

          public void setDest​(int dest)

      Setter du registre à stocker ou de destination
      Parameters:
        `dest` - numéro du registre à stocker ou de destination

    - #### getAddress

          public int getAddress()

      Getter du registre d'adresse
      Returns:
        numéro du registre d'adresse

    - #### setAddress

          public void setAddress​(int address)

      Setter du registre d'adresse
      Parameters:
        `address` - numéro du registre d'adresse

    - #### toString

          public java.lang.String toString()

      Conversion en String
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        String texte de l'instruction